View Issue Details

IDProjectCategoryView StatusLast Update
0000025Slicer3GUIpublic2017-06-10 08:51
ReporterkikinisAssigned Towillschroeder 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Summary0000025: Create functionality to define oblique cuts
Description

Ron: What is the status of oblique cuts? In slicer 2 we used the view ray as a reference to define oblique cuts. Other people use the bounding box in the 3d view to drag corners of the planes as a way to do this (http://www.sci.utah.edu/cgi-bin/sci_gallery.pl?key=IMG:jmk2003043026). There should also be a panel that gives the orientation as a set of numbers, so that people can reproduce the obliques. Is this an existing or new kwwidget?

Wendy: Alex Golby spent time in the OR last friday showing me how they specify oblique cuts there. So this is on the radar. There is a vtkWidget for specifying a plane in the 3D viewer we can experiment with. I have some initial ideas for slice Viewers based on what I saw in the OR, but haven't yet had time to work them up and discuss with Steve...

Steve: The code supports all this internally, but we don't have a GUI yet. As
Wendy says, there are some good options to consider.

TagsNo tags attached.

Activities

pieper

pieper

2007-11-20 09:19

administrator   ~0000148

Jim - is this ready to go?

Touch base with Wendy for interface suggestions.

pieper

pieper

2008-05-21 05:30

administrator   ~0000326

This has been implemented and there are now feature requests for it:

http://www.na-mic.org/Bug/view.php?id=231

2008-05-30 08:42

 

ImplicitSlice.png (892,091 bytes)
ImplicitSlice.png (892,091 bytes)
kikinis

kikinis

2008-05-30 08:44

reporter   ~0000343

When linking the three slice viewers, the implicit slice widget is confused. It is not clear how it is decided what widget and which widget function is affected.
Sometimes it is necessary to pick a new fiducial in order to get back to being able to define slice orientation

kikinis

kikinis

2009-02-10 11:18

reporter   ~0000595

Isn't this done?

pieper

pieper

2009-02-17 09:30

administrator   ~0000617

I believe this is fixed. It works in the cases I try. I will close it and you can reopen if it doesn't work for you.

Related Changesets

Slicer: 2145-support-for-installing-extension-from-file 5ab938ef

2013-11-04 23:48:42

jcfr

Details Diff
COMP: OpenIGTLink - Fix MacOSX build error related to missing strnlen()

$ git shortlog ee594372eb8c9a25da1dbff2bd081cb70ce9554a..3ac531115f55e74265e7de7ff508312dbfb16695
Junichi Tokuda (4):
BUG: Implement igtl::Strnlen() for platforms that do not have strnlen. See issue 0000025.
STYLE: Increment the patch number.
COMP: Fix compiler warnings for Mac OS X Mavericks.
Merge pull request 0000027 from tokjun/25-missing-strnlen

Co-authored-by: Jean-Christophe Fillion-Robin <jchris.fillionr@kitware.com>

From: Junichi Tokuda <tokuda@bwh.harvard.edu>

git-svn-id: http://svn.slicer.org/Slicer4/trunk@22681 3bd1e089-480b-0410-8dfb-8563597acbee
mod - SuperBuild/External_OpenIGTLink.cmake Diff File

Import 2017-06-07 23:51:09: master 5ab938ef

2013-11-04 23:48:42

jcfr

Details Diff
COMP: OpenIGTLink - Fix MacOSX build error related to missing strnlen()

$ git shortlog ee594372eb8c9a25da1dbff2bd081cb70ce9554a..3ac531115f55e74265e7de7ff508312dbfb16695
Junichi Tokuda (4):
BUG: Implement igtl::Strnlen() for platforms that do not have strnlen. See issue 0000025.
STYLE: Increment the patch number.
COMP: Fix compiler warnings for Mac OS X Mavericks.
Merge pull request 0000027 from tokjun/25-missing-strnlen

Co-authored-by: Jean-Christophe Fillion-Robin <jchris.fillionr@kitware.com>

From: Junichi Tokuda <tokuda@bwh.harvard.edu>

git-svn-id: http://svn.slicer.org/Slicer4/trunk@22681 3bd1e089-480b-0410-8dfb-8563597acbee
mod - SuperBuild/External_OpenIGTLink.cmake Diff File

Issue History

Date Modified Username Field Change
2007-01-31 09:43 hayes New Issue
2007-01-31 09:43 hayes Reporter hayes => kikinis
2007-01-31 09:43 hayes Status new => acknowledged
2007-11-20 09:19 pieper Note Added: 0000148
2007-11-20 09:19 pieper Assigned To => millerjv
2008-05-21 05:30 pieper Note Added: 0000326
2008-05-21 05:30 pieper Assigned To millerjv => willschroeder
2008-05-30 08:42 kikinis File Added: ImplicitSlice.png
2008-05-30 08:44 kikinis Note Added: 0000343
2009-02-10 11:18 kikinis Note Added: 0000595
2009-02-17 09:30 pieper Note Added: 0000617
2009-02-17 09:30 pieper Status acknowledged => closed
2009-02-17 09:30 pieper Resolution open => fixed
2017-06-07 23:27 jcfr Changeset attached => Slicer 2145-support-for-installing-extension-from-file 5ab938ef
2017-06-10 08:51 jcfr Changeset attached => Slicer master 5ab938ef